import 'package:json_annotation/json_annotation.dart';

part 'folder.g.dart';

@JsonSerializable()
class Folder {
  @JsonKey(name: 'id')
  late int id;

  @JsonKey(name: 'name')
  String? name;

  @JsonKey(name: 'createTime')
  String? createTime;

  Folder(this.id, this.name, this.createTime);

  factory Folder.fromJson(Map<String, dynamic> json) => _$FolderFromJson(json);
}
